# Enum AuthMech

java.lang.Object
java.lang.Enum<AuthMech>
com.databricks.jdbc.common.AuthMech

All Implemented Interfaces:
  `Serializable`, `Comparable<AuthMech>`, `java.lang.constant.Constable`

public enum AuthMech extends Enum<AuthMech>

## Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`OAUTH`
`OTHER`
`PAT`

## Method Summary

Modifier and Type
Method
Description
`static AuthMech`
`parseAuthMech(String authMech)`
`static AuthMech`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static AuthMech[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### OTHER

public static final AuthMech OTHER

### PAT

public static final AuthMech PAT

### OAUTH

public static final AuthMech OAUTH

## Method Details

### values

public static AuthMech[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static AuthMech valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### parseAuthMech

public static AuthMech parseAuthMech(String authMech)